Bug 69166 - New port: comms/tlf Amateur radio curses based logging program.
Summary: New port: comms/tlf Amateur radio curses based logging program.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-17 03:10 UTC by Diane Bruce
Modified: 2004-11-12 21:52 UTC (History)
0 users

See Also:


Attachments
tlf.shar (6.78 KB, text/plain)
2004-07-17 03:10 UTC, Diane Bruce
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diane Bruce 2004-07-17 03:10:18 UTC

Fix: see shar
Comment 1 Tilman Keskinoz freebsd_committer 2004-08-22 20:43:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->feedback

The port does not compile on recent CURRENT: 

if cc -DHAVE_CONFIG_H -I. -I. -I..      -pthread -Wall -MT cluster_bg.o -MD -MP -MF ".deps/cluster_bg.Tpo"  -c -o cluster_bg.o `test -f 'cluster_bg.c' || echo './'`cluster_bg.c;  then mv ".deps/cluster_bg.Tpo" ".deps/cluster_bg.Po";  else rm -f ".deps/cluster_bg.Tpo"; exit 1;  fi 
cluster_bg.c: In function `cluster_bg': 
cluster_bg.c:15: error: 'cluster' redeclared as different kind of symbol 
cluster_bg.c:10: error: previous definition of 'cluster' was here
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2004-08-23 18:57:37 UTC
State Changed
From-To: open->feedback

Fix mis-assignment. 


Comment 3 Mark Linimon freebsd_committer freebsd_triage 2004-08-23 18:57:37 UTC
Responsible Changed
From-To: feedback->freebsd-ports-bugs
Comment 4 Diane Bruce 2004-08-23 20:21:36 UTC
The port does not compile on recent CURRENT:  

Fix: use this shar instead.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	tlf
#	tlf/Makefile
#	tlf/pkg-descr
#	tlf/distinfo
#	tlf/pkg-plist
#	tlf/files
#	tlf/files/patch-src_audio.c
#	tlf/files/patch-src_callinput.c
#	tlf/files/patch-src_rtty.c
#	tlf/files/patch-src_splitscreen.h
#	tlf/files/patch-src_writecabrillo.c
#	tlf/files/patch-src_searchlog.c
#	tlf/files/patch-src_cluster_bg.c
#
echo c - tlf
mkdir -p tlf > /dev/null 2>&1
echo x - tlf/Makefile
sed 's/^X//' >tlf/Makefile << 'END-of-tlf/Makefile'
X# ports collection makefile for:	tlf
X# Date created:		10 July 2004
X# Whom:			db
X#
X# $FreeBSD$
X#
X
XPORTNAME=	tlf
XPORTVERSION=	0.9.19
XCATEGORIES=	comms
XMASTER_SITES=	http://www.wwns.com/tlf/ \
X		http://sharon.esrac.ele.tue.nl/pub/linux/ham/tlf/
XDIST_SUBDIR=	${PORTNAME}
X
XMAINTAINER=	db@db.net
XCOMMENT=	Amateur Radio curses based logging program
X
XUSE_REINPLACE=	yes
XGNU_CONFIGURE=	yes
XMAN1=		tlf.1
XMAKE_ENV=	LIBS=${PTHREAD_LIBS}
X.if defined(WITH_HAMLIB)
XCONFIGURE_ENV	=	"CFLAGS=-pthread -I${LOCAL_BASE}/include/hamlib"
X.else
XCONFIGURE_ENV=	CFLAGS=-pthread
X.endif
XINSTALL_TARGET:	install
X
Xpre-everything::
X.if !defined(WITH_HAMLIB)
X	@${ECHO_MSG} ""
X	@${ECHO_MSG} "tlf can be built with optional hamlib support"
X	@${ECHO_MSG} "Use WITH_HAMLIB=yes to enable this feature."
X	@${ECHO_MSG} ""
X.endif
X
X.include <bsd.port.mk>
END-of-tlf/Makefile
echo x - tlf/pkg-descr
sed 's/^X//' >tlf/pkg-descr << 'END-of-tlf/pkg-descr'
XAmateur radio curses based logging program.
X
XWWW: http://home.iae.nl/users/reinc/TLF-0.2.html
X
X- Diane (VA3DB)
Xdb@db.net
END-of-tlf/pkg-descr
echo x - tlf/distinfo
sed 's/^X//' >tlf/distinfo << 'END-of-tlf/distinfo'
XMD5 (tlf/tlf-0.9.19.tar.gz) = a6318f099d6baf910b425f8e32820c56
XSIZE (tlf/tlf-0.9.19.tar.gz) = 348768
END-of-tlf/distinfo
echo x - tlf/pkg-plist
sed 's/^X//' >tlf/pkg-plist << 'END-of-tlf/pkg-plist'
Xbin/tlf
Xshare/tlf/arrlsections
Xshare/tlf/callmaster
Xshare/tlf/cty.dat
Xshare/tlf/doc/README
Xshare/tlf/rules/dxped
Xshare/tlf/ea_sections
Xshare/tlf/rules/eusprint
Xshare/tlf/logcfg.dat
Xshare/tlf/rules/lzdx
Xshare/tlf/rules/pacc_dx
Xshare/tlf/rules/pacc_pa
Xshare/tlf/paccmults
Xshare/tlf/rules/qso
Xshare/tlf/rules/arrldx_dx
Xshare/tlf/rules/arrldx_usa
Xshare/tlf/rules/arrlfd
Xshare/tlf/rules/arrlss
Xshare/tlf/rules/cqww
Xshare/tlf/rules/spdx_dx
Xshare/tlf/rules/spdx_sp
Xshare/tlf/spdxmults
Xshare/tlf/rules/ssa_mt
Xshare/tlf/ssamults
Xshare/tlf/rules/template
Xshare/tlf/rules/wpx
X@dirrm share/tlf/doc
X@dirrm share/tlf/rules
X@dirrm share/tlf
END-of-tlf/pkg-plist
echo c - tlf/files
mkdir -p tlf/files > /dev/null 2>&1
echo x - tlf/files/patch-src_audio.c
sed 's/^X//' >tlf/files/patch-src_audio.c << 'END-of-tlf/files/patch-src_audio.c'
X--- src/audio.c.orig	Sat Jul 10 21:31:56 2004
X+++ src/audio.c	Sat Jul 10 21:32:05 2004
X@@ -578,6 +578,7 @@
X 
X float testvalue;
X char key = '\0';
X+int runnit = 1;
X 
X clear();
X 
X@@ -586,7 +587,6 @@
X /* ------------initialize sound card --------*/
X init_audio();
X 
X-int runnit = 1;
X 
X while (runnit == 1) {
X 
END-of-tlf/files/patch-src_audio.c
echo x - tlf/files/patch-src_callinput.c
sed 's/^X//' >tlf/files/patch-src_callinput.c << 'END-of-tlf/files/patch-src_callinput.c'
X--- src/callinput.c.orig	Sat Jul 10 21:33:41 2004
X+++ src/callinput.c	Sat Jul 10 21:34:33 2004
X@@ -26,6 +26,7 @@
X #include "addspot.h"
X #include "changefreq.h"
X 
X+void send_bandswitch(int freq);
X 
X 
X int callinput(void)
X@@ -105,7 +106,6 @@
X 
X instring[1] = '\0';
X 
X-void send_bandswitch(int freq);
X 
X if (use_rxvt == 0) attron(COLOR_PAIR(NORMCOLOR) | A_BOLD );
X else     attron(COLOR_PAIR(NORMCOLOR) );
END-of-tlf/files/patch-src_callinput.c
echo x - tlf/files/patch-src_rtty.c
sed 's/^X//' >tlf/files/patch-src_rtty.c << 'END-of-tlf/files/patch-src_rtty.c'
X--- src/rtty.c.orig	Sat Jul 10 21:41:49 2004
X+++ src/rtty.c	Sun Jul 11 00:52:01 2004
X@@ -72,7 +72,7 @@
X 
X int ry_addtext(char *line) {
X 
X-extern char ry_term[][];
X+//extern char ry_term[][];
X 
X int k, m, j;
X char *ptr;
X@@ -137,7 +137,7 @@
X int show_rtty(void) {
X 
X extern int use_rxvt;
X-extern char ry_term[][];
X+//extern char ry_term[][];
X extern int trxmode;
X 
X if (trxmode != DIGIMODE)
X@@ -169,7 +169,7 @@
X 
X extern char hiscall[];
X extern int miniterm;
X-extern char ry_term[][];
X+//extern char ry_term[][];
X 
X int i = 0;
X char line[40];
END-of-tlf/files/patch-src_rtty.c
echo x - tlf/files/patch-src_splitscreen.h
sed 's/^X//' >tlf/files/patch-src_splitscreen.h << 'END-of-tlf/files/patch-src_splitscreen.h'
X--- src/splitscreen.h.orig	Sat Jul 10 21:29:22 2004
X+++ src/splitscreen.h	Sat Jul 10 21:29:42 2004
X@@ -17,7 +17,7 @@
X  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
X  */
X  // splitscreen.h
X-
X+#include <sys/types.h>
X #include <curses.h>
X #include "sockserv.h"
X #include <errno.h>
END-of-tlf/files/patch-src_splitscreen.h
echo x - tlf/files/patch-src_writecabrillo.c
sed 's/^X//' >tlf/files/patch-src_writecabrillo.c << 'END-of-tlf/files/patch-src_writecabrillo.c'
X--- src/writecabrillo.c.orig	Sat Jul 10 22:23:15 2004
X+++ src/writecabrillo.c	Sat Jul 10 22:24:47 2004
X@@ -45,6 +45,7 @@
X 	char buf[181];
X 	char buffer[82]= "";
X     char standardexchange[70] = "";
X+    char ssa_mt_exchange[30];
X 
X 	FILE *fp1,  *fp2;
X 
X@@ -271,13 +272,12 @@
X 					strcat(buffer, "599 ");
X 
X 				if (strcmp (whichcontest, "ssa_mt") == 0) {
X+					int i=0, j=0, k = 0;
X //					strncat(buffer, buf+54, 9);  // tbf for all contests? RC
X 					strcat(buffer, "                      ");
X 
X 					sprintf(buffer + 79, "%03d    ", atoi(buf+54));
X 
X-					char ssa_mt_exchange[30];
X-					int i=0, j=0, k = 0;
X 
X 					for (i=0; i < 12; i++) {
X 						if (isalpha(buf[54+i])){
END-of-tlf/files/patch-src_writecabrillo.c
echo x - tlf/files/patch-src_searchlog.c
sed 's/^X//' >tlf/files/patch-src_searchlog.c << 'END-of-tlf/files/patch-src_searchlog.c'
X--- src/searchlog.c.orig	Fri May 21 12:15:14 2004
X+++ src/searchlog.c	Sun Jul 11 01:04:54 2004
X@@ -26,6 +26,8 @@
X #	include <config.h>
X #endif
X 
X+static char searchresult[MAX_CALLS][82];
X+static char result[MAX_CALLS][82];
X 
X  	int searchlog(char *searchstring)
X 
X@@ -75,9 +77,7 @@
X     extern int itumult;
X 
X 
X-char searchresult[MAX_CALLS][82];
X int srch_index=0;
X-char result[MAX_CALLS][82];
X int r_index=0;
X char s_inputbuffer[82] =  "";
X char s_inputbuffercpy[82] =  "";
X@@ -90,13 +90,13 @@
X char *tmpstr;
X 
X char callmaster_location[80];
X-
X+#if 0
X 	if (strlen(s_inputbuffer)>=83)
X 	{
X 		printf ("WARNING: Input buffer is longer than 82 characters! exiting...");
X 		exit(1);
X 	}
X-
X+#endif
X 	strcpy(callmaster_location, PACKAGE_DATA_DIR) ;
X 	strcat(callmaster_location, "/callmaster ") ;
X 
END-of-tlf/files/patch-src_searchlog.c
echo x - tlf/files/patch-src_cluster_bg.c
sed 's/^X//' >tlf/files/patch-src_cluster_bg.c << 'END-of-tlf/files/patch-src_cluster_bg.c'
X--- src/cluster_bg.c.orig	Mon Aug 23 15:00:34 2004
X+++ src/cluster_bg.c	Mon Aug 23 15:02:36 2004
X@@ -7,12 +7,11 @@
X 
X 
X 
X-int cluster_bg(int cluster) {
X+int cluster_bg(int cluster_arg) {
X 
X extern char spot_ptr[MAX_SPOTS][82];
X extern int spotarray[MAX_SPOTS];
X extern char spotinfo[32][82];
X-extern int cluster;
X extern int announcefilter;
X extern int bandinx;
X 
X@@ -22,14 +21,14 @@
X 
X 
X 
X-				if (cluster == NOCLUSTER)
X+				if (cluster_arg == NOCLUSTER)
X 					return(1);
X 
X-				if (cluster == MAP)
X+				if (cluster_arg == MAP)
X 					clustermode = bandinx;
X-				if (cluster  == SPOTS)
X+				if (cluster_arg  == SPOTS)
X 					clustermode =  9;
X-				if ( cluster  != CLUSTER)
X+				if ( cluster_arg  != CLUSTER)
X 
X 				{
X 				announcefilter = FILTER_DX;
X@@ -77,7 +76,7 @@
X 				}
X 
X 
X-				if (cluster  == CLUSTER){             /* all cluster info  */
X+				if (cluster_arg  == CLUSTER){             /* all cluster info  */
X 
X 		   			k = getclusterinfo();
X 					
X@@ -100,7 +99,6 @@
X extern int spotarray[];
X extern int announcefilter;
X extern char call[];
X-extern int cluster;
X extern int bandinx;
X 
X int bg, nd, i;
END-of-tlf/files/patch-src_cluster_bg.c
exit
Comment 5 Pav Lucistnik freebsd_committer 2004-11-11 22:24:25 UTC
Still does not build:

parse_logcfg.c: In function `parse_logcfg':
parse_logcfg.c:173: error: conflicting types for 'nodes'
parse_logcfg.c:52: error: previous declaration of 'nodes' was here
*** Error code 1

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

As to floating eyes, let them float :).
  - r.g.r.a
Comment 6 Diane Bruce 2004-11-12 01:02:35 UTC
On Thu, Nov 11, 2004 at 11:24:25PM +0100, Pav Lucistnik wrote:
> Still does not build:
>
> parse_logcfg.c: In function `parse_logcfg':
> parse_logcfg.c:173: error: conflicting types for 'nodes'
> parse_logcfg.c:52: error: previous declaration of 'nodes' was here
> *** Error code 1

huh neato. I'll fix that one too.

- db
Comment 7 Pav Lucistnik freebsd_committer 2004-11-12 21:51:56 UTC
State Changed
From-To: feedback->closed

New port added, at last!